### Signal

# Gtk EventControllerKey::key-released

since: 4.0

#### Declaration

    void
    key_released (
      GtkEventControllerKey* self,
      guint keyval,
      guint keycode,
      GdkModifierType state,
      gpointer user_data
    )

#### Description [src]

Emitted whenever a key is released.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`keyval`

  Type: `guint`

  The released key.

`keycode`

  Type: `guint`

  The raw code of the released key.

`state`

  Type: `GdkModifierType`

  The bitmask, representing the state of modifier keys and pointer buttons.